BioNLP2004NameSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats

## Class BioNLP2004NameSampleStream

- java.lang.Object
- - opennlp.tools.formats.BioNLP2004NameSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<NameSample>

      public class BioNLP2004NameSampleStream
      extends Object
      implements ObjectStream<NameSample>

  Parser for the training files of the BioNLP/NLPBA 2004 shared task.

  The data contains five named entity types: DNA, RNA, protein, cell_type and cell_line.

  Data can be found on this web site:
  http://www-tsujii.is.s.u-tokyo.ac.jp/GENIA/ERtask/report.html

  Note: Do not use this class, internal use only!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GENERATE_CELLLINE_ENTITIES`
    `static int` | `GENERATE_CELLTYPE_ENTITIES`
    `static int` | `GENERATE_DNA_ENTITIES`
    `static int` | `GENERATE_PROTEIN_ENTITIES`
    `static int` | `GENERATE_RNA_ENTITIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BioNLP2004NameSampleStream(InputStreamFactory in, int types)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the `ObjectStream` and releases all allocated resources.
    `NameSample` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERATE_DNA_ENTITIES

          public static final int GENERATE_DNA_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_PROTEIN_ENTITIES

          public static final int GENERATE_PROTEIN_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_CELLTYPE_ENTITIES

          public static final int GENERATE_CELLTYPE_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_CELLLINE_ENTITIES

          public static final int GENERATE_CELLLINE_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_RNA_ENTITIES

          public static final int GENERATE_RNA_ENTITIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BioNLP2004NameSampleStream

          public BioNLP2004NameSampleStream(InputStreamFactory in,
                                            int types)
                                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public NameSample read()
                          throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<NameSample>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<NameSample>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<NameSample>`
      Throws:
        `IOException` - if there is an error during closing the stream

Copyright © 2026 The Apache Software Foundation. All rights reserved.